@ECHO off
rem ******************************************************************************************************************************
rem * Licensed Materials - Property of IBM                                                                                       *
rem * (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
rem *                                                                                                                            *
rem *US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
rem ******************************************************************************************************************************

IF NOT DEFINED LOCALE (SET LOCALE= )

SET LOCEN=0409
SET LOCIT=0410 
SET LOCJP=0411 
SET LOCKO=0412 
SET LOCPO=0415 
SET LOCCHS=0804
SET LOCCHT=0404
SET LOCDE=0407
SET LOCES=0C0A
SET LOCFR=040C
SET LOCFRCAN=0C0C
SET LOCPTBR=0416

IF NOT DEFINED SQLSERVINST (SET SQLSERVINST= )
IF NOT DEFINED AUTH_TYPE   (SET AUTH_TYPE= )
IF NOT DEFINED USERNAME    (SET USERNAME= )
IF NOT DEFINED PASSWORD    (SET PASSWORD= )
IF NOT DEFINED DBNAME      (SET DBNAME= ) 
IF NOT DEFINED NF_SCHEMA   (SET NF_SCHEMA= ) 
IF NOT DEFINED STAR_SCHEMA (SET STAR_SCHEMA= ) 
IF NOT DEFINED RIBA_SCHEMA (SET RIBA_SCHEMA= )
IF NOT DEFINED RIASSET_SCHEMA (SET RIASSET_SCHEMA= )
IF NOT DEFINED RISCHK_SCHEMA (SET RISCHK_SCHEMA= )
IF NOT DEFINED REP_USER    (SET REP_USER= ) 
IF NOT DEFINED DATA_HOME   (SET DATA_HOME= ) 
IF NOT DEFINED MSSQL_HOME  (SET MSSQL_HOME= ) 
IF NOT DEFINED START_YEAR  (SET START_YEAR= ) 
IF NOT DEFINED END_YEAR    (SET END_YEAR= ) 
IF NOT DEFINED JAVA_HOME (SET JAVA_HOME= )



SET EXITCODE=0
SET MESSAGE= xxx
SET ACTION=x

IF NOT EXIST set_env.bat (
                           SET EXITCODE=4597 
                           GOTO done
                                    ) ELSE (                
                       call set_env.bat
                                  )



IF "%JAVA_HOME%" EQU " " (
SET EXITCODE= 4596 
GOTO done)  


SET CURDIR=%CD%

CD /d "%JAVA_HOME%\bin"
IF "%ERRORLEVEL%" EQU "1" (
SET EXITCODE=4596
GOTO done)

IF NOT EXIST java.exe (
SET EXITCODE= 4598
GOTO done   ) 

CD /d %CURDIR%

set path=%JAVA_HOME%\bin;%path%



REG QUERY "HKCU\Control Panel\International" /v Locale>locale.txt

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCIT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCIT%
call lang\it\messages.bat) 
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCJP% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCJP%
call lang\jp\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCKO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCKO%
call lang\kr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPO% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPO%
call lang\pl\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHS% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHS%
call lang\zh_CN\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCCHT% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCCHT%
call lang\zh_TW\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCEN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCDE% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCDE%
call lang\de\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCES% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCES%
call lang\es\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFR%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCFRCAN% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCFRCAN%
call lang\fr\messages.bat)
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace %LOCPTBR% locale.txt>nul
IF "%ERRORLEVEL%" EQU "1" (
SET LOCALE=%LOCPTBR%
call lang\pt_BR\messages.bat)
IF "%LOCALE%" EQU " " (
SET LOCALE=%LOCEN%
call lang\en\messages.bat)

IF "%1" EQU "-validate" (GOTO validate)



SET EXITCODE=0
SET MESSAGE=No errors
SET ACTION= 
SET /A FULL=1

SET /A SILENT=0
IF "%1" EQU "-silent" (
SET /A SILENT=1) 

SET MSSQL_CMD=
IF "%1" EQU "-debug" (SET MSSQL_CMD= -b -l 60 -e ) ELSE (SET MSSQL_CMD= -b -l 60 )
IF "%2" NEQ "" (IF "%2" EQU "-debug" (SET MSSQL_CMD= -b -l 60 -e ) ELSE (SET MSSQL_CMD= -b -l 60 ))


IF %SILENT% EQU 0 (
call parameters.bat
)

IF %SILENT% EQU 1 (
IF "%SQLSERVINST%" NEQ " " (SET SQLSERVINST=%COMPUTERNAME%\%SQLSERVINST%) ELSE (SET SQLSERVINST=%COMPUTERNAME%)
)

IF "%AUTH_TYPE%" EQU "0" (SET AUTHSTR= ) ELSE (IF "%AUTH_TYPE%" EQU "1" (
IF "%USERNAME%" EQU " " (
SET EXITCODE=%CRREW4617E%
SET MESSAGE=%CRREWMSGE117%
GOTO done)

IF %SILENT% EQU 0 (
SET /P PASSWORD="%CRREWPRMPT033%"
)
IF "%PASSWORD%" EQU " " (
SET EXITCODE=%CRREW4618E%
SET MESSAGE="%CRREWMSGE118%"
GOTO done)

SET AUTHSTR=-U %USERNAME% -P %PASSWORD%
) ELSE (SET AUTHSTR= )
)

IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done) 

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF "%RIASSET_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4610E%
SET MESSAGE=%CRREWMSGE110%
GOTO done)

IF "%RISCHK_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4615E%
SET MESSAGE=%CRREWMSGE115%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF "%RIBA_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4605E%
SET MESSAGE=%CRREWMSGE105%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

SET DATA_HOME=%DATA_HOME%\%DBNAME%

IF "%MSSQL_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)

IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)


IF NOT EXIST work_spc\nul (MKDIR work_spc) ELSE (
RMDIR /S /Q work_spc
MKDIR work_spc
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)

IF NOT EXIST logs\nul (MKDIR logs) ELSE (
RMDIR /S /Q logs
MKDIR logs
)
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4576E%
SET MESSAGE=%CRREWMSGE076%
GOTO done)

XCOPY /Y /I /E /Q createDB work_spc\createDB
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)
XCOPY /Y /I /E /Q ddl work_spc\ddl
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)
XCOPY /Y /I /E /Q scripts work_spc\scripts
IF %ERRORLEVEL% GTR 1 ( 
SET MESSAGE=%CRREWMSGE024%
SET EXITCODE=%CRREW4524E%
GOTO done)

IF %SILENT% EQU 1 (
SETLOCAL ENABLEDELAYEDEXPANSION
sqlcmd -S %SQLSERVINST% %AUTHSTR% -d %DBNAME% %MSSQL_CMD% -Q "SELECT COUNT(*) FROM CONFIG.ETL_INFO">nul
IF "!ERRORLEVEL!" EQU "0" (
SETLOCAL DISABLEDELAYEDEXPANSION
GOTO done)
SETLOCAL DISABLEDELAYEDEXPANSION
)


IF "%1" EQU "-schema" (
SET /A FULL=0
GOTO schema)
IF "%2" NEQ "" (IF "%2" EQU "-schema" (
SET /A FULL=0
GOTO schema))

set SCHEMA_RIBA=0
FOR %%I IN (%*) DO (IF "%%I" EQU "-riba" (set SCHEMA_RIBA=1& GOTO schema_riba))

IF NOT EXIST "%DATA_HOME%"\nul (MKDIR "%DATA_HOME%")
sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" MSSQL_HOME="%MSSQL_HOME%" %MSSQL_CMD% -i "%CD%"\work_spc\createDB\createDB.sql>logs\createDB.log

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace HResult "%CD%"\logs\createDB.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH003%
GOTO done)

rem java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Error "%CD%"\logs\createDB.log>nul
rem IF "%ERRORLEVEL%" EQU "1" ( 
rem SET MESSAGE=%CRREWMSGE013%  
rem SET EXITCODE=%CRREW4513E%
rem ECHO %CRREWECH003%
rem GOTO done)

java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createDB.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH003%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" RIBA_SCHEMA="%RIBA_SCHEMA%" NF_SCHEMA="%NF_SCHEMA%" STAR_SCHEMA="%STAR_SCHEMA%" RIASSET="%RIASSET_SCHEMA%" RISCHK="%RISCHK_SCHEMA%" CURRENT_SCHEMA="%USERNAME%" %MSSQL_CMD% -i "%CD%"\work_spc\createDB\createSchema.sql>logs\createSchema.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createSchema.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH025%
GOTO done)

SET STR=%REP_USER%
SET SUFFSTR=
:loopstr
set ISTR=%STR:~-1%&set STR=%STR:~0,-1%
IF "%ISTR%" NEQ "\" (
  set SUFFSTR=%ISTR%%SUFFSTR%
	IF "%STR%X" NEQ "X" (
	GOTO loopstr )
)
SET DOMAIN=%STR%
SET REP_USER=%SUFFSTR%
IF "%DOMAIN%X" EQU "X" (
	SET DOMAIN=%COMPUTERNAME%
)


sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" REP_USER="%REP_USER%" COMPUTER="%DOMAIN%" AUTH_TYPE=0 PASSWORD="rati0nal" %MSSQL_CMD% -i "%CD%"\work_spc\createDB\createUsers.sql>logs\createUsers.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createUsers.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH026%
GOTO done)


sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" %MSSQL_CMD% -i "%CD%"\work_spc\createDB\createFileGroup.sql>logs\createFileGroup.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createFileGroup.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH027%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" DATA_HOME="%DATA_HOME%" %MSSQL_CMD% -i "%CD%"\work_spc\createDB\createFile.sql>logs\createFile.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createFile.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH028% 
GOTO done)

:schema
sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" %MSSQL_CMD% -i "%CD%"\work_spc\ddl\createSTGCFG.ddl>logs\createSTGCFG.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createSTGCFG.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE016%  
SET EXITCODE=%CRREW4516E%
SET ACTION=%CRREWECH006%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" NF_SCHEMA="%NF_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\ddl\createNF.ddl>logs\createNF.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createNF.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE017%  
SET EXITCODE=%CRREW4517E%
SET ACTION=%CRREWECH007%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" NF_SCHEMA="%NF_SCHEMA%" RIASSET="%RIASSET_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\ddl\createRIASSET.ddl>logs\createRIASSET.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createRIASSET.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE111%  
SET EXITCODE=%CRREW4611E%
SET ACTION=%CRREWECH037%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" NF_SCHEMA="%NF_SCHEMA%" RISCHK="%RISCHK_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\ddl\createRISCHK.ddl>logs\createRISCHK.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createRISCHK.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE113%  
SET EXITCODE=%CRREW4613E%
SET ACTION=%CRREWECH039%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" STAR_SCHEMA="%STAR_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\ddl\createSTAR.ddl>logs\createSTAR.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createSTAR.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE018%  
SET EXITCODE=%CRREW4518E%
SET ACTION=%CRREWECH008%
GOTO done)

:schema_riba
IF %FULL% EQU 1 (
sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" RIBA_SCHEMA="%RIBA_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\createDB\createRIBASchema.sql>logs\createRIBASchema.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createRIBASchema.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE013%  
SET EXITCODE=%CRREW4513E%
SET ACTION=%CRREWECH025%
GOTO done)
)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" RIBA_SCHEMA="%RIBA_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\ddl\createRIBA.ddl>logs\createRIBA.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createRIBA.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE106%  
SET EXITCODE=%CRREW4606E%
SET ACTION=%CRREWECH034%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" STAR_SCHEMA="%STAR_SCHEMA%" RIBA_SCHEMA="%RIBA_SCHEMA%" REP_USER="%REP_USER%" %MSSQL_CMD% -i "%CD%"\work_spc\scripts\riba_grants.sql>logs\riba_grants.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\riba_grants.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRREWMSGE023%  
SET EXITCODE=%CRREW4523E%
SET ACTION=%CRREWECH013%
GOTO done)

IF "%SCHEMA_RIBA%" EQU "1" ( 
GOTO done )

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" STAR_SCHEMA="%STAR_SCHEMA%" NF_SCHEMA="%NF_SCHEMA%" RIASSET="%RIASSET_SCHEMA%" RISCHK="%RISCHK_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\ddl\createSTARViews.ddl>logs\createSTARViews.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\createSTARViews.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE019%  
SET EXITCODE=%CRREW4519E%
SET ACTION=%CRREWECH009%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" %MSSQL_CMD% -i "%CD%"\work_spc\scripts\initCONFIG.sql>logs\initCONFIG.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\initCONFIG.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE020%  
SET EXITCODE=%CRREW4520E%
SET ACTION=%CRREWECH010%
GOTO done)
 
sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" NF_SCHEMA="%NF_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\scripts\initNF.sql>logs\initNF.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\initNF.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE021%  
SET EXITCODE=%CRREW4521E%
SET ACTION=%CRREWECH011%
GOTO done)
 
sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" RIASSET="%RIASSET_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\scripts\initRIASSET.sql>logs\initRIASSET.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\initRIASSET.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE112%  
SET EXITCODE=%CRREW4612E%
SET ACTION=%CRREWECH038%
GOTO done)

sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" RISCHK="%RISCHK_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\scripts\initRISCHK.sql>logs\initRISCHK.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\initRISCHK.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE114%  
SET EXITCODE=%CRREW4614E%
SET ACTION=%CRREWECH040%
GOTO done)
 
sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" STAR_SCHEMA="%STAR_SCHEMA%" %MSSQL_CMD% -i "%CD%"\work_spc\scripts\initSTAR.sql>logs\initSTAR.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\initSTAR.log>nul
IF "%ERRORLEVEL%" EQU "1" ( 
SET MESSAGE=%CRREWMSGE022%  
SET EXITCODE=%CRREW4522E%
SET ACTION=%CRREWECH012%
GOTO done)
 
sqlcmd -S %SQLSERVINST% %AUTHSTR% -v DBNAME="%DBNAME%" STAR_SCHEMA="%STAR_SCHEMA%" RIBA_SCHEMA="%RIBA_SCHEMA%" REP_USER="%REP_USER%" %MSSQL_CMD% -i "%CD%"\work_spc\scripts\star_grants.sql>logs\star_grants.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\star_grants.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRREWMSGE023%  
SET EXITCODE=%CRREW4523E%
SET ACTION=%CRREWECH013%
GOTO done)  

java -Ddbms="SQLServer" -Dalias="%DBNAME%" -Dschema="%STAR_SCHEMA%" -Dstart="%START_YEAR%" -Dend="%END_YEAR%" -Dcomputer="%SQLSERVINST%" -Dsecurity="true" com.ibm.rational.rcpr.dw.procedures.PopulateD_DATE>logs\populate-D_DATE.log

sqlcmd -S %SQLSERVINST% %AUTHSTR% %MSSQL_CMD% -i "%CD%"\work_spc\scripts\initD_Date.sql>logs\initD_Date.log
java com.ibm.rational.rcpr.common.db.install.SearchAndReplace Msg "%CD%"\logs\initD_Date.log>nul
IF "%ERRORLEVEL%" EQU "1" (
SET MESSAGE=%CRREWMSGE025%  
SET EXITCODE=%CRREW4525E% 
SET ACTION=%CRREWECH014%
GOTO done) 


GOTO done

:validate

SET EXITCODE=0
SET MESSAGE=No errors

IF NOT DEFINED DBNAME (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done) 

IF NOT DEFINED NF_SCHEMA   (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF NOT DEFINED STAR_SCHEMA (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF NOT DEFINED REP_USER (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF NOT DEFINED DATA_HOME (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

IF NOT DEFINED MSSQL_HOME  (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

IF NOT DEFINED START_YEAR  (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)

IF NOT DEFINED END_YEAR    (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)

IF NOT DEFINED CAL_TYPE    (
SET EXITCODE=%CRREW4511E%
SET MESSAGE=%CRREWMSGE011%
GOTO done)

IF "%DBNAME%" EQU " " (
SET EXITCODE=%CRREW4502E%
SET MESSAGE=%CRREWMSGE002%
GOTO done)

IF "%NF_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4505E%
SET MESSAGE=%CRREWMSGE005%
GOTO done)

IF "%STAR_SCHEMA%" EQU " " (
SET EXITCODE=%CRREW4506E%
SET MESSAGE=%CRREWMSGE006%
GOTO done)

IF "%REP_USER%" EQU " " (
SET EXITCODE=%CRREW4507E%
SET MESSAGE=%CRREWMSGE007%
GOTO done)

IF "%DATA_HOME%" EQU " " (
SET EXITCODE=%CRREW4508E%
SET MESSAGE=%CRREWMSGE008%
GOTO done)

IF "%MSSQL_HOME%" EQU " " (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

IF "%START_YEAR%" EQU " " (
SET EXITCODE=%CRREW4509E%
SET MESSAGE=%CRREWMSGE009%
GOTO done)

IF "%END_YEAR%" EQU " " (
SET EXITCODE=%CRREW4510E%
SET MESSAGE=%CRREWMSGE010%
GOTO done)



IF NOT EXIST "%MSSQL_HOME%"\nul (
SET MESSAGE=%CRREWMSGE079%
SET EXITCODE=%CRREW4579E%
GOTO done)

REG QUERY "HKCU\Control Panel\International" /v Locale>nul
IF "%ERRORLEVEL%" NEQ "0" (
SET EXITCODE=%CRREW4585E%
SET MESSAGE=%CRREWMSGE085%
GOTO done
)



GOTO done

:done 
echo %MESSAGE%.%ACTION%:%EXITCODE%
echo %CRREWECH002%
EXIT /B %EXITCODE%